'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var Schema = require('mongoose').Schema;

var config = {
  module_name: 'LicenseTemplates',
  data_space: 'mightyspace-core.license-templates',
  route_space: '/admin/license-templates',
  version: '1.0.0',
  dependencies: {
    // 'instrmnt.other_module': 'x.x.x' -- use the data_space
  },
  model: {
    // Mongoose model
    name: 'LicenseTemplate',
    schema: {
      name: { type: String, required: true },
      type: { type: String, enum: ['cloud', 'enterprise', 'application'] },
      price: { type: Number },
      frequency: { type: String, enum: ['monthly', 'yearly', 'usage', 'weekly', 'bi-weekly'] },
      usage_model: {},
      duration: { type: Date },
      description: { type: String },
      free_trial: { type: Boolean, default: false },
      free_trial_length: { type: Date },
      max_users: { type: Number, default: 1 },
      max_stores: { type: Number, default: 1 },
      base_agreement: { type: String }
    }
  },
  api: {
    get: {
      enabled: true,
      authentication: true,
      admin: true
      // jsapi: false,
      // jsapi_authentication: false,
      // socket: false,
      // beforeConditions: {},
      // afterConditions: {}
    },
    post: {
      enabled: true,
      authentication: true,
      admin: true
    },
    put: {
      enabled: true,
      authentication: true,
      admin: true
    },
    del: {
      enabled: true,
      authentication: true,
      admin: true
    }
  }
};

exports.default = config;